VSTGUI: OutputStream Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Member Functions | List of all members
OutputStream Class Referenceabstract

ByteOrder aware output stream interface. More...

`#include <cstream.h>`

Inheritance diagram for OutputStream:

## Public Member Functions
| OutputStream (ByteOrder byteOrder=kNativeByteOrder)
virtual | ~OutputStream () noexcept=default
ByteOrder | getByteOrder () const
void | setByteOrder (ByteOrder newByteOrder)
bool | operator<< (const int8_t &input)
bool | operator<< (const uint8_t &input)
bool | operator<< (const int16_t &input)
bool | operator<< (const uint16_t &input)
bool | operator<< (const int32_t &input)
bool | operator<< (const uint32_t &input)
bool | operator<< (const int64_t &input)
bool | operator<< (const uint64_t &input)
bool | operator<< (const double &input)
virtual bool | operator<< (const std::string &str)=0
virtual uint32_t | writeRaw (const void *buffer, uint32_t size)=0

## Detailed Description

ByteOrder aware output stream interface.

## Constructor & Destructor Documentation

## ◆ OutputStream()

OutputStream | ( | ByteOrder | byteOrder = kNativeByteOrder | ) |
| inlineexplicit

## ◆ ~OutputStream()

virtual ~OutputStream | ( |  | ) |
| virtualdefaultnoexcept

## Member Function Documentation

## ◆ getByteOrder()

ByteOrder getByteOrder | ( |  | ) | const
| inline

## ◆ operator<<() [1/10]

bool operator<< | ( | const double & | input | ) |

## ◆ operator<<() [2/10]

bool operator<< | ( | const int16_t & | input | ) |

## ◆ operator<<() [3/10]

bool operator<< | ( | const int32_t & | input | ) |

## ◆ operator<<() [4/10]

bool operator<< | ( | const int64_t & | input | ) |

## ◆ operator<<() [5/10]

bool operator<< | ( | const int8_t & | input | ) |

## ◆ operator<<() [6/10]

virtual bool operator<< | ( | const std::string & | str | ) |
| pure virtual

Implemented in BufferedOutputStream, CFileStream, CMemoryStream, StdOutStream, and ZLibOutputStream.

## ◆ operator<<() [7/10]

bool operator<< | ( | const uint16_t & | input | ) |

## ◆ operator<<() [8/10]

bool operator<< | ( | const uint32_t & | input | ) |

## ◆ operator<<() [9/10]

bool operator<< | ( | const uint64_t & | input | ) |

## ◆ operator<<() [10/10]

bool operator<< | ( | const uint8_t & | input | ) |

## ◆ setByteOrder()

void setByteOrder | ( | ByteOrder | newByteOrder | ) |
| inline

## ◆ writeRaw()

virtual uint32_t writeRaw | ( | const void * | buffer,
|  | uint32_t | size )
| pure virtual

Implemented in BufferedOutputStream, CFileStream, CMemoryStream, StdOutStream, and ZLibOutputStream.

The documentation for this class was generated from the following files:

- cstream.h
- cstream.cpp